package com.bonus.canteen.core.drp.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel(
   value = "透支库存表",
   description = "透支库存表"
)
public class DrpOverdraftInventory {
   @ApiModelProperty("透支库存id")
   @TableId
   private Long overdraftInventoryId;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("仓库库存id")
   private Long warehouseInventoryId;
   @ApiModelProperty("透支库存数")
   private BigDecimal inventoryNum;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getOverdraftInventoryId() {
      return this.overdraftInventoryId;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public Long getWarehouseInventoryId() {
      return this.warehouseInventoryId;
   }

   public BigDecimal getInventoryNum() {
      return this.inventoryNum;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DrpOverdraftInventory setOverdraftInventoryId(final Long overdraftInventoryId) {
      this.overdraftInventoryId = overdraftInventoryId;
      return this;
   }

   public DrpOverdraftInventory setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
      return this;
   }

   public DrpOverdraftInventory setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public DrpOverdraftInventory setUnitId(final Long unitId) {
      this.unitId = unitId;
      return this;
   }

   public DrpOverdraftInventory setWarehouseInventoryId(final Long warehouseInventoryId) {
      this.warehouseInventoryId = warehouseInventoryId;
      return this;
   }

   public DrpOverdraftInventory setInventoryNum(final BigDecimal inventoryNum) {
      this.inventoryNum = inventoryNum;
      return this;
   }

   public DrpOverdraftInventory setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DrpOverdraftInventory setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DrpOverdraftInventory setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DrpOverdraftInventory setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
